<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<html><head><title>Mind-Reading-Machine</title>

<meta name="author" content="Bastian Rietdorf, Michael Behr">
<meta name="revisit-after" content="2 weeks">
<meta name="robots" content="index,follow">
<meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="../css/dierig.css" type="text/css"></head>



<a name="top"></a>

<table border="0" cellpadding="3" cellspacing="0" width="100%">
	<tbody><tr valign="top">
		<td class="navi"><a class="navi" href="/exp/index.html">Home</a> &#8226; <a class="navi" href="/exp/hilgers/index.html">von Hilgers</a></td>
		
	</tr>
</tbody></table>

<table align="center" border="0" cellpadding="0" cellspacing="0" width="67%">
<tbody><tr>
	<td><br>
<div class="h2" align="left">Eine Maschine, die Gedanken liest. A 8 Bit History</div>



<blockquote><i>Es ist bekannterma&#223;en wahr, da&#223; die Mathematik, insbesondere<br>
die Wahrscheinlichkeitstheorie, dem Wetten mehr verdankt, <br>
als das Wetten der Mathematik schuldet. Alan Mathison Turing</i><br><br>
</blockquote>


<p>Es geht um Shannons toys. Es geht also um die Beschaffenheit von Forschungsinstitutionen
oder Labyrinthe, Netzwerke, Analysen von Kryptogrammen oder Psychen von
Gegenspielern. Denn Shannons Spielmaschinensortiment ist so umfangreich,
wie sein Baukasten zu einer Theorie der Kommunikation.</p>

<p>Auch wenn die Geschichte des Baukastens noch nicht geschrieben ist,
sie fiele wohl m&#246;glich zusammen mit einer Arch&#228;ologie von Sozialisation
in Serialit&#228;ten und Modularit&#228;ten, die dieses und nur dieses
Jahrhunderts sich vorbehielt. In dem Jahrhundert davor scheiterten die
gro&#223;en Denker analoger und diskreter Rechenmaschinen und der Royal
Society, Lord Kelvin und Charles Babbage, vor allem noch an der Handhabe
dienstbarer Teile. Doch es hatte kaum eine Generation gebraucht und allein
mit dem Griff in einen kindergerechten Baukasten konnte Douglas Hartree
vor dem erlauchtem Kreis der Royal Society demonstrieren, wie analoge Rechenmaschinen
mit &#252;berraschender Genauigkeit zum Laufen zu bringen sind. <a name="cite_1" href="#%5B1%5D">[1]</a>
Somit konnte Frau Shannon, die ihrem frisch angetrauten Mann den vielteiligsten
Baukasten, der f&#252;r Geld zu haben war, zum Geschenk machte, &#252;ber
alle Zweifel an der H&#246;he und Art der Investition erhaben sein: "it
was fifty bucks and everyone thought I was insane!" <a name="cite_2" href="#%5B2%5D">[2]</a>.</p>


<p>Seit Claude Elwood Shannons bahnbrechender Magisterarbeit <a name="cite_3" href="#%5B3%5D">[3]</a>
von 1938 bed&#252;rfen projektierte Schaltungen dann ihrer materiellen
Basis nicht mehr oder besser: zuerst einmal nicht. Der Zeit davor blieb
nur an den Schaltungen selber zu manipulieren und d.h. try and error &#252;brig.
Erst Shannons Symbolisierung von Schaltzust&#228;nden mittels Boolescher
Algebra r&#228;umt ein, da&#223; Schaltungen auf dem Papier entworfen
werden k&#246;nnen. Damit ging einher, da&#223; komplexe Schaltungen in
einfachere &#252;berf&#252;hrt werden und letztlich dann einfachere Schaltungen
komplexere zu entwickeln verm&#246;gen.</p>



<p>Shannons Informationstheorie oder - wie es angestanden zu &#252;bersetzen
h&#228;tte - Kommunikationstheorie schaffte dann noch ein Ma&#223; f&#252;r
Information anzugeben, wenn der Quelle, dem Kanal und der Nachrichtensenke
ein Kontingenzrahmen zugebilligt ist. Seitdem mu&#223; mit Information
auch noch gerechnet werden, wenn Schaltungen ausfallen oder Kan&#228;le
gest&#246;rt sind. Da&#223; dieses Dispositiv aus dem Zweiten Weltkrieg
hervorging, liegt auf der Hand.</p>



<p>Lacan-Leser werden von all dem l&#228;ngst wissen, selbstredend ohne
da&#223; sie es wissen, schreibt doch Jacques Lacan anstelle von Claude
Shannon einfach von seiner Institution:</p>

<blockquote><i>F&#252;r die Bell Telephone Company ging's darum, zu sparen, das
hei&#223;t die gr&#246;&#223;tm&#246;gliche Anzahl von Kommunikationen
&#252;ber einen einzigen Draht laufen zu lassen. <a name="cite_4" href="#%5B4%5D">[4]</a></i></blockquote>

<p>Wenn Shannon zuweilen die endlosen Flure seiner Arbeitsst&#228;tte,
kurz die Bell Labs, f&#252;r Spazierfahrten auf einem Einrad nutzte und
gleichzeitig noch B&#228;lle jonglierte, dann machte ihm das wohl auch
deshalb niemand zum Vorwurf, weil er sich Arbeit f&#252;r Zuhause aufhob.
Die Maschinen, die der Garage des Theoretikers entsprangen, wurden zuweilen
zum Gegenstand von Fachkongressen - in die Archive seines Arbeitgebers
fanden sie aber nicht.</p>


<p>So wird auch Theseus, noch in einer Garage am Mystic Lake seinen Platz
haben. Theseus ist eine k&#252;nstliche Maus, die aus einem frei konfigurierbaren
Labyrinth herausfindet. Anzunehmen, da&#223; Shannon mit Maus und Labyrinth,
forschende Subjekte und ihren institutionellen Apparat nachbaute, mag erlaubt
wenn auch nicht sehr schmeichelhaft sein. Denn alle Intelligenz scheint
dem Labyrinth internalisiert zu sein, dessen Extension die Maus ist. Die
Konfiguration ist dann die Umkehrung dessen, was man mit Marshall McLuhan
vielleicht festzustellen geneigt ist.</p>


<p>Shannons Mentor Vannevar Bush fand immer wieder zum Begriff des Labyrinths,
des maze <a name="cite_5" href="#%5B5%5D">[5]</a>, wenn es die Emanationen an vorher nie
dagewesen Forschungsst&#228;tten eines zweiten Weltkriegs zu beschreiben
galt. Aber Bush hatte Shannon und anderen, L&#246;sungen zur Bew&#228;ltigung
von Labyrinthen zu erbringen, schon in den 30er Jahren aufgegeben, die
mit dem Rapid Selector versuchsweise liefen.</p>


<p>Mir bleibt eine Maschine Shannons, eine Voraussagemaschine, mit einem
Speicher f&#252;r das Ged&#228;chtnis seiner Opponenten, gesondert vor-
und anzustellen. Ein Kollege Shannons Dave Hagelbarger, der mit Shannnon
die Passion f&#252;r zukunftsweisende Basteleien teilt, hatte eine Maschine
gebaut, deren F&#228;higkeit zur Prophezeigungen ihrem Name zun&#228;chst
alle Ehre antat. Denn SEER (SEquence Extrapolating Robot) gewann in den
Bell Labs bei dem Spiel Grad/Ungrad von ann&#228;hernd 10.000 Partien gegen
menschliche Opponenten weitaus h&#228;ufiger, als einem Zufall zuzurechnen
wahrscheinlich ist.</p>


<p>Um das Spiel unter medientechnischen Bedingungen zu rekonstruieren,
wird Jacques Lacan schreiben: "Ein kleiner Text kommt uns zu Hilfe, von
Edgar Poe, auf den, wie ich festgestellt habe, die Kybernetiker gro&#223;e
St&#252;cke halten." <a name="cite_6" href="#%5B6%5D">[6]</a> Hagelbarger und Shannon, die
auf Edgar Allan Poes Entwendeten Brief schon im ersten Absatz ihrer Beschreibungen
der Grad oder Ungrad spielenden Maschinen verweisen, empfehlen sich somit
als die Kybernetiker, von denen Lacan spricht. (Ein Lacansches Geheimnis
mehr wird dann aber bleiben, denn Lacan macht seine Feststellung zu einem
Zeitpunkt, als weder &#252;ber Shannons Mind-Reading(?)Machine, noch &#252;ber
Hagelbargers SEER eine Zeile publiziert worden war.)</p>


<p>Hagelbargers Maschine war eingerichtet, die Wahl zweier m&#246;glichen
Alternativen eines Opponenten zu antizipieren. Als sie ihre Siegesgewi&#223;heit
unter Leuten in den Bell Laboratories gezeigt hatte, setzte Shannon ihr
eine Maschine entgegen: a Mind Reading(?)Machine. Shannon r&#228;umte der
Mind-Reading(?)Machine bei modifizierter Strategie nur ungef&#228;hr halb
soviele Relais als Speicher ein, wie sie in SEER zu finden waren. Darauf
entbrannte ein Streit unter Shannon und Hagelbarger, welche der Maschine
nach der besseren Strategie verfahre; Ein Streit der nur aus der Welt zu
schaffen war, indem man ihn auf die beiden Maschinen &#252;bertrug. Die
Mind-Reading(?)Machine ist also das Produkt des heute wohl klassischen
Falls, der eintritt, wenn nur noch Maschinen &#252;ber Maschinen Auskunft
zu geben verm&#246;gen. Die Maschinen wurden verkoppelt, wobei die Ausgabe
einer der beiden Maschinen noch invertiert werden mu&#223;te, um die Asymmetrie
beider Zielsetzungen wieder herzustellen. Das Ergebnis war, da&#223; Shannons
Maschine noch ein wenig deutlicher gegen SEER gewann, als diese gegen ihre
menschlichen Opponenten.</p>


<p>Die Strategie beider Maschinen ist prinzipiell dieselbe. Zun&#228;chst
wird eine Spielsituationen im Speicher erfa&#223;t. Beispielsweise vermerken
die Speicherzust&#228;nde, da&#223; ein Spieler sich f&#252;r die gleiche
Wahl wie im vorangegangenen Zug entscheidet, verliert und daraufhin erneut
die gleiche Wahl macht. Oder aber: ein Spieler setzt auf die hinsichtlich
des letzten Zugs komplement&#228;re Option, gewinnt und bleibt bei der
zuletzt gespielten Wahl. Hochgerechnet sind acht solcher Spielsituationen
denkbar, die demnach mit drei Relais respektive 3-Bit zu erfassen sind.
Die Maschine, wie man einsehen kann, speichert alles nur nicht das Datum,
das das Ergebnis symbolisiert. Sie speichert nur Differenzen und ihre Wiederholungen,
also ob Z&#252;ge alterniert wurden, ob aufgrund der Alternation oder Stringenz
gewonnen wurde oder nicht.</p>


<p>Von der Seite der Kontrolle und Sicherheitsmechanismen haben die ersten
digitalen special-purpose-computer ihre Notwendigkeit erlangt, als ob es
den ber&#252;chtigten Satz zu best&#228;tigen g&#228;lte, da&#223; Kontrolle
hat, wer im Falle von emergency entscheidet (und sei es aufgrund eines
d&#252;rftigen Speichers weniger bits). Auch die ersten digitalen Schaltungen,
die Shannon zur motorischen und servomechanischen Kontrolle von Bushs Differential
Analyzer besorgte, waren ja von dieser analogen Rechenmaschine streng geschieden.
Mit der M&#228;chtigkeit in der Analysis des Differential Analyzer, etwa
Differentialgleichungen sechster Ordnung zu l&#246;sen, sollte es sobald
kein digitaler Rechner aufnehmen. Aber es war ja gerade die neue Basis
diskreter Schaltzust&#228;nde, die zur Entscheidung dr&#228;ngte, wie bei
der &#220;berf&#252;hrung eines analogen Systems (und hie&#223;e es Natur)
in ein anderes analoges die zwangsl&#228;ufige Differenz systematisch zu
fassen ist. Turings legend&#228;re Arbeit zum Entscheidungsproblem <a name="cite_7" href="#%5B7%5D">[7]</a>
steht daf&#252;r ein. Shannon vollzog zeitgleich den Schritt des Zusammenfalls
von Schrift und Zahl in der Praxis einer von Bush formierten Forschungsfront,
die nun seine Schaltungstechnik neben dem Differential Analyzer auch auf
die Wortverarbeitung des Rapid Selectors angewendet wissen wollte.</p>


<p>Ob Verfassungstheoretiker oder Systemtheoretiker es bezeugen, fundamentaler
ist vermutlich nicht was entschieden wird, sondern da&#223; entschieden
wird und werden kann. Sp&#228;testens seit Lacan steht der Satz, da&#223;
das Spiel "in der Aktualit&#228;t gr&#252;ndet, die in ihrer Gegenwart
das zweite Futur hat." <a name="cite_8" href="#%5B8%5D">[8]</a> Ihr notwendiges und konjunktivisches
Plusquamperfekt gr&#252;ndet die Maschine indes auf Kontingenzen. Es ist
nachvollziehbar, da&#223; drei Z&#252;ge infolge n&#246;tig sind, damit
&#252;berhaupt eine der acht m&#246;glichen Spielsituationen zustande kommt.
Erst wenn dieselbe Situation zweimal eingetroffen ist, wird die Mind-Reading(?)Machine
bei der dritten Wiederholung der Spielsituation eine Strategie in Anschlag
bringen, die nicht dem Zufall geschuldet ist. Entscheidet der Spieler nun
anders, l&#246;scht die Maschine ihren Speicher f&#252;r die Geschichte
des Spielverlaufs und setzt einen Z&#228;hler wieder auf Eins - bei Umkehrung
des Vorzeichens. Solange dieser Z&#228;hler nicht bis zu einer Zwei mit
positiven oder negativen Vorzeichen vorger&#252;ckt ist, spielt die Mind-Reading(?)Machine
rein zuf&#228;llig, was keinem Menschen gestattet ist. Dem Spieler ist
aber sehr wohl gestattet, der Maschine zu ihren Zufall zu verhelfen. Denn
jedesmal, wenn er einen Zug macht, wird an einem Zufallselement ein momentaner
Wert abgenommen, der alle 1/10 Sekunde alterniert. Seit Emil Du Bois-Reymond
gilt das Diktum, da&#223; Reize f&#252;r ihre Perzeption eben eine 1/10
Sekunde ben&#246;tigen. Medien hausen bekanntlich gerne hinter solchen
Zeitfenstern, in die keine menschliche Kontrolle hineinreicht.</p>


<p>Der Unterschied zu Hagelbargers Maschine nun ist, da&#223; diese schon
bei einer ersten Wiederholung der Wahl des Gegenspielers nach besagten
Spielsituationen mit h&#246;herer Wahrscheinlichkeit diese Wahl &#252;bernimmt.
Auch minimiert sie sukzessive den Z&#228;hler, so da&#223; ein einmaliges
Alternieren des Spielers nach besagten Spielsituationen weniger ins Gewicht
f&#228;llt. Koppelt man nun die beiden Maschinen, wird Hagelbargers SEER
mit einer gr&#246;&#223;eren Tr&#228;gheit an den durch Zufall ins Spiel
gekommenen Mustern der Mind-Reading(?)Machine festhalten. Ihre Reaktion
auf diese zuf&#228;lligen Muster erzeugen wiederum Redundanzen. Die Redundanzen
sind ein gefundenes Fressen f&#252;r die Mind-Reading(?)Machine, die einer
Eskalation der R&#252;ckkopplung nur durch ihre radikale Speicherl&#246;schung
entgeht und sie &#252;berlegen macht.</p>


<p>Die Maschinen, die anf&#228;nglich nur zuf&#228;llige Sequenzen produzieren
k&#246;nnen und auch weiterhin ohne Ende produzieren k&#246;nnten, beginnen
durch das Rauschen mehr und mehr ihre Konfigurationen zu artikulieren.
Vorausgesetzt ist, da&#223; die Strategien, die Sequenzen aus dem Bit-Strom
bilden und in Ketten einer symbolischen Ordnung bringen, in den Maschinen
unterschiedliche
<br>sind. Um es anders und mit den Worten von Lacan zu sagen:

</p><blockquote><i>Von Anfang an und unabh&#228;ngig von jeder Verkn&#252;pfung mit
irgendeinem Band als real unterstellter Kausalit&#228;t spielt das Symbol
bereits und erzeugt durch sich selbst seine Notwendigkeiten, seine Strukturen,
seine Organisationen. <a name="cite_9" href="#%5B9%5D">[9]</a></i></blockquote>

<p>Hagelbarger erkl&#228;rte den Ansto&#223; f&#252;r den Entwurf seiner
Maschine damit, da&#223; mit der Antizipation von Sequenzen ein Musikkompositionsautomat
denkbar wurde. So sch&#246;n wie sich SEER von dieser Anwendung auch ableiten
mag, so sehr steht dem eine Vorgeschichte entgegen.</p>

<p>John von Neumann schrieb 1927 eine Theorie der Gesellschaftsspiele <a name="cite_10" href="#%5B10%5D">[10]</a>,
also in dem Jahr, das der amerikanischen Gesellschaft den ersten schwarzen
Freitag vor der Weltwirtschaftskrise bescherte. Das erste Szenario, da&#223;
von Neumann in dieser Schrift entwirft, scheint noch eine Verbeugung vor
Simon Stevin zu sein, an dessen doppelter Buchf&#252;hrung die Neuzeit
ihre ebenso neue &#214;konomie ablas. Derartige Spiele fa&#223;te von
Neumann als Zwei- Personen-Nullsummenspiel zusammen: Genau der Betrag den der eine gewinnt, verliert der andere. Keine
Inflation, keine Steuern, keine Courtagen, keine Schutzgelder, keine Absprachen.
Die Checksumme Gewinn und Verlust liefert definitionsgem&#228;&#223; eine
Null ohne einen Wert auf der noch so abger&#252;cktesten Nachkommastelle.
W&#228;hrend von Neumann als zweites Beispiel eines Zwei-Personen-Null-Summenspiels
das Spiel Stein/Papier/Schere in die zu initierenden Notationen schreibt,
bleibt das erste Beispiel ohne Anschauung. Wollte man dieses Beispiel aber
als Spiel begreifen, dann w&#228;re es Grad oder Ungrad. Die Schrift, die
als Inauguration der Spieltheorie gesehen wird, spielt also mit Grad oder
Ungrad auf.


<p>Erst sp&#228;ter in dem monumentaleren Werk Theory of Games and Economic
Behavior liefert von Neumann den elementarsten Fall eines Spiels nach:</p>

<blockquote><i>Eine offensichtliche Beschreibung dieses Spiels ist die Feststellung,
da&#223; niemand etwas tut und nichts geschieht. <a name="cite_11" href="#%5B11%5D">[11]</a></i></blockquote>

<p>Sp&#228;testens da ist alles Spieltheorie - entledigt sind seine Subjekte
und alle Materialit&#228;t, die nicht die Notation tr&#228;gt.</p>


<p>Nachgedacht wurde &#252;ber das Spiel wahrscheinlich schon als die erste
Menschheitsgeneration mit dem Knochenmaterial der ihr vorangegangen Generation,
zwar noch keine W&#252;rfel, aber dennoch was zum W&#252;rfeln hatte. Doch
Theorien zum Spiel reichten auch mit solchen Gr&#246;&#223;en wie Fermat
oder Pascal immer nur zu Wahrscheinlichkeitskalk&#252;len. Deshalb galten
diese Theorien dem Spiel genau dann, wenn es keins mehr war. Denn es ging
zumeist darum, wie Gewinne aufzuteilen sind, wenn Spiele vorzeitig beendet
werden. Henry Poincar&#233; wird zwar noch die Einsicht kommen, da&#223;
die Natur auch nur einen Dealer ist und kein prinzipieller Unterschied
zwischen der Verteilung von Karten in einem Stapel und von Molek&#252;len
im Gas herrscht. <a name="cite_12" href="#%5B12%5D">[12]</a> Aber f&#252;r eine Spieltheorie
fehlt ihm der entschiedene Begriff der Strategie.</p>


<p>Strategie hei&#223;t ja von je her nichts anderes als Heere f&#252;hren,
oder verallgemeinert Krieg f&#252;hren. Nur mit dem Zweiten Weltkrieg d&#252;rfte
der Begriff von Krieg ein anderer geworden sein und somit auch der der
Strategie. Karl D&#246;nitz, Oberbefehlshaber der Kriegsmarine, mag davon
sein Leid klagen:</p>

<blockquote><i>Die Frage des T&#228;uschungs-Funkverkehrs mit dem Ziel, gewisse
Gebiete als von U-Booten besetzt, andere Gebiete als von U-Booten frei
erscheinen zu lassen, wird als zwar theoretisch sehr einleuchtend, in der
praktischen Durchf&#252;hrung aber sehr kompliziert angesehen. Ein weiteres
Durchdenken dieser Frage und der daraus zu ziehenden Schlu&#223;folgerung
f&#252;hrt zu einem weitgehenden Hineinkombinieren in den Gegner (Gegner
denkt, ich denke - also denke ich ...], [Das entzieht] sich dem sachlichen
Beurteilungsverm&#246;gen [...]. Hinzu kommt die Gefahr falscher oder ungenauer
Peilungen des Gegners, die unter Umst&#228;nden gerade dem Zwecke des T&#228;uschungs-Funks
entgegen wirkt... <a name="cite_13" href="#%5B13%5D">[13]</a></i></blockquote>

<p>Es ist die Kontingenz im Quadrat von Freund/Feind und T&#228;uschungs-Funk/Fehlpeilung,
die das Cogito ergo sum Karl D&#246;nitz' zu keinem Sein mehr kommen l&#228;&#223;t,
sondern nur wieder zu einem Denken: Gegner denkt, ich denke - also denke
ich... Vierzehn Jahre sp&#228;ter, denkt einer, der seine erste Schriften
in einem befreiten Paris allesamt der Spieltheorie widmet, den Satz den
D&#246;nitz offen l&#228;&#223;t, zu Ende:</p>

<blockquote><i>Wenn ich ihn [den Gegenspieler] als mit mir selbst identisch unterstelle,
dann unterstelle ich zugleich, da&#223; er f&#228;hig ist, von mir zu
denken, was ich dabei bin, von ihm zu denken, und zu denken, da&#223;
ich denken werde, da&#223; er das Gegenteil dessen tun wird, von dem er
denkt, da&#223; ich dabei bin, es zu denken. <a name="cite_14" href="#%5B14%5D">[14]</a></i></blockquote>

<p>Wir sind wieder mitten in Lacans Seminar zu Poes "Entwendeten Brief".
Doch Lacan bleibt nicht beim Gegenspieler stehen, sondern wei&#223; von
einer Maschine:

</p><blockquote><i>Man hat, scheint's, eine Maschine konstruiert, die das Grad-oder-Ungrad-Spiel
spielt. Ich stehe f&#252;r nichts ein, denn ich habe sie nicht gesehen,
aber ich verspreche Ihnen, da&#223; ich, eh' diese Seminare vorbei sein
werden, hingehen werde, um sie zu sehen - unser guter Freund Riguet hat
mir gesagt, da&#223; er mich mit ihr konfrontieren will. <a name="cite_15" href="#%5B15%5D">[15]</a></i></blockquote>

<p>( Mir hat Monsieur Riguet gesagt, da&#223; er das nie gesagt und getan
hat.) Lacan wird niemals von einem Rendezvous mit der Maschine berichten,
genauso wenig wie &#252;ber die Quellen seiner Kenntnis. Er f&#228;hrt
einfach fort, eine Maschine hypothetisch anzunehmen, um sie dann zu analysieren:</p>

<blockquote><i>Aber f&#252;r den Augenblick spiele ich nicht Grad-oder-Ungrad, sondern
ich spiele, um das Spiel der Maschine zu erraten. <a name="cite_16" href="#%5B16%5D">[16]</a></i></blockquote>


<p>Cryptanalyst nannte Shaonnon den einen Part eines Zwei-Personen-Nullsummenspiels,
Cipher Designer den anderen in der Theorie der Kommunikation <a name="cite_17" href="#%5B17%5D">[17]</a>,
die auf die Bedingungen des Zweiten Weltkriegs eingestellt ist. Ein Ziffer
Designer war im Zweiten Weltkrieg auch das deutsche De- und Chiffrierungssystem
Enigma. Nur wu&#223;te man ja auf deutscher Seite gar nicht, da&#223;
man mit der Enigma nur einen Part innerhalb eines Deadly Serious Game <a name="cite_18" href="#%5B18%5D">[18]</a>
eingenommen und nicht - wie leichtfertig prognostiziert - das Spiel selber
in der Hand hatte. D&#246;nitz mu&#223;te die Engima der Rettungsring
in der schier uferlosen Oszillationen sein, die die Intersubjektivit&#228;t
modulierte.</p>


<p>Doch Spielstrategien scheinen nicht erst bei der Konfiguration von Kommunikationssysteme
zum Zuge zu kommen, sondern konstituieren Kommunikation selber. <a name="cite_19" href="#%5B19%5D">[19]</a>
Leute wie Alan Turing, von Neumann und Claude Shannon haben das Spieltableau
neu entworfen: Alan Turing, indem er ein endliches Regelwerk f&#252;r das
Berechenbare lieferte und damit theoretisch den Computer. Shannon, indem
er die Implementierung des Regelwerks in Schaltzust&#228;nden berechenbar
machte und von Neumann, der ja schlicht und ergreifend daf&#252;r die Rechnerarchitektur
einr&#228;umte.</p>

<p>Das Programm der gezeigten Simulation der Mind-Reading(?)Machine sitzt
der von Neumannschen Computerarchitektur direkt zweimal auf. Zun&#228;chst
wird es von der virtuellen Java-Maschine, die einen Rechner samt aller
Register und Programmz&#228;hler in Software noch einmal nachbildet, ausgef&#252;hrt,
sodann interpretiert der 686er Rechner oder fast jede beliebige andere
Plattform diese virtuelle Maschine. Aber den meisten der heutigen Plattformen
sind selbst eine Mind-Reading(?)Machine in Hardware eingesenkt.</p>

<p>Das Flie&#223;bandverfahren stand schon der fr&#252;hen Computertheorie
Modell. <a name="cite_20" href="#%5B20%5D">[20]</a> So ist es nicht verwunderlich, da&#223;
alsbald die Pipeline in die realen Rechnerarchitekturen einzog. Seitdem
ist der zentralen Recheneinheit aufgetragen, nach M&#246;glichkeit nicht
abzuwarten, da&#223; eine Instruktion die verschiedenen Instanzen ihrer
vollst&#228;ndigen Abarbeitung passiert hat, um ihr den n&#228;chsten Befehl
folgen zu lassen. Vielmehr gilt es dem Ideal eines maximalen Durchsatzes
nahezukommen, welches da w&#228;re, da&#223; jede Instanz mit jedem Takt
nun in sich verschr&#228;nkte Instruktionen prozessiert. Nur macht es sich
bei bedingten Spr&#252;ngen schlecht, vor der Auswertung der Bedingung
schon die n&#228;chste Instruktion zu laden, k&#246;nnte doch gerade die
Bedienung auftragen, eine andere Instruktion zu holen. Die Berechnung der
Bedingung abzuwarten macht sich indessen noch schlechter. Denn das f&#252;hrt
- wie es ja so sch&#246;n im Computerjargon hei&#223;t - zu weiteren bubbles
in der pipeline, zu Leerl&#228;ufen. Hier kommt die Mind-Reading(?)Machine
alias Branch Target Buffer <a name="cite_21" href="#%5B21%5D">[21]</a> zum Zug und bringt
aufgrund ihrer Voraussage eine der beiden m&#246;glichen Instruktionen
in Anschlag. &#220;ber Erfolg oder Mi&#223;erfolg der Voraussage und damit
&#252;ber weitere f&#252;hrt nun eine 8-Bit-History Buch. Und hier verebbt
auch dieser Zeichenstrom einer kleinen Geschichte &#252;ber die Mind-Reading(?)Machine.
Eine 3-Bit-History, das ist einzige Geschichte, die Computer bis jetzt
von sich haben, denn ansonsten sichern sie ihre Zeit und ihren Bestand
im endlosen Prozessieren von Befehls- und Datenstr&#246;me, die in ihrer
Kontingenz noch alle M&#246;glichkeiten eines Gegenspielers einzur&#228;umen
versprechen.</p>

<p><b>Nachspiel</b></p>

<p>Das Auditorium spielte gegen die nachgebildete Mind-Reading(?)Machine.
Hierzu wurde eine Tafel rumgereicht, die eine Wahl durch eine Eins oder
Null anzuzeigen erlaubte. Wie sehr die Mind-Reading(?)Machine verstanden
worden war, zeigte sich, als die Tafel nicht wie angenommen von Platz zu
Platz weitergegeben wurde. Anstelle in das Verh&#228;ngnis einer solchen
intersubjektiven Kette gezwungen zu werden, entschieden sich nur Aus- und
Selbsterw&#228;hlte ein Votum abzugeben und zwar solche, die sicher sein
konnten die Tafel &#252;ber die unregelm&#228;&#223;igsten Stationen gereicht
bekommen zu haben. So konnte verdient, wenn auch knapp, das Auditorium
gegen die Mind-Reading(?)Machine einen Gewinn verbuchen.</p>

<p>
</p><hr noshade="noshade" size="1" width="50%">
<br>&nbsp;

<p><a name="[1]" href="#cite_1">[1]</a> Vgl. Herman H. Goldstine, The Computer from Pascal
to von Neumann. Princeton 1973, S.95

</p><p><a name="[2]" href="#cite_2">[2]</a> Profile of Claude Shannon - Interview by Anthony
Liversidge. In: Claude Elwood Shannon, Collected Papers. Hg. N.J.A. Sloane,
Aaron Wyner. New Jersey 1993, S. XXII

</p><p><a name="[3]" href="#cite_3">[3]</a> Claude Shannon, A Symbolic Analysis of Relay and
Switching Circuits. In: Transactions American Institute of Electrical Engineers,
Vol. 57 (1938), S. 713-723

</p><p><a name="[4]" href="#cite_4">[4]</a> Jacques Lacan, Das Seminar Buch II (1954-1955).
Das Ich in der Theorie Freuds und in der Technik der Psychoanalyse. Hrsg.
v. Nobert Haas und Hans-Jochaim Metzger. Weinheim, Berlin, S.109, im folgendem
zitiert als `Lacan, Seminar II'

</p><p><a name="[5]" href="#cite_5">[5]</a> Vgl. Vannevar Bush, As We may think. In: Atlsntic
Monthly 176 (1) 1945, S.101-108, hier S.102 und Vannevar Bush, Pieces of
the Action. New Jersey 1970, S.34

</p><p><a name="[6]" href="#cite_6">[6]</a> Lacan, Seminar II, a.a.O., S.228

</p><p><a name="[7]" href="#cite_7">[7]</a> Vgl. Alan Turing, &#220;ber berechenbare Zahlen
mit einer Anwendung auf das Entscheidugsproblem. In: ders., Inteligence
Service. Hrsg. v. Bernhard Dotzler und Friedrich Kittler. Berlin 1987,
S.17-60

</p><p><a name="[8]" href="#cite_8">[8]</a> Jacques Lacan, Einf&#252;hrung. In: Schriften
I. Hrsg. v. Norbert Haas. Olten 1972, S.49

</p><p><a name="[9]" href="#cite_9">[9]</a> Lacan, Seminar II, S.246

</p><p><a name="[10]" href="#cite_10">[10]</a> Vgl. John v. Neumann, Zur Theorie der Gesellschaftsspiele.
In: Mathematische Annalen, Bd. 100 (1928). S.295-320, hier S.303


</p><p><a name="[11]" href="#cite_11">[11]</a> John von Neumann, Oskar Morgenstern, Spieltheorie
und wirtschaftliches Verhalten. W&#252;rzburg 1961, S.76

</p><p><a name="[12]" href="#cite_12">[12]</a> Henry Poincar&#233;, Calcul des Probabilitt&#233;s.
Paris 1912, S.15

</p><p><a name="[13]" href="#cite_13">[13]</a> Karl D&#246;nitz, Zehn Jahre und zwanzig Tage.
Bonn 1958, S.143

</p><p><a name="[14]" href="#cite_14">[14]</a> Lacan, Seminar II. S.235

</p><p><a name="[15]" href="#cite_15">[15]</a> Lacan, Seminar II. 227 f.

</p><p><a name="[16]" href="#cite_16">[16]</a> Lacan, Seminar II, S.235

</p><p><a name="[17]" href="#cite_17">[17]</a> Claude Shannon, Communication Theory of Secrecy
Systems. In: Bell System Technical Journal, Vol. 28 (1949), S. 656-715,
hier S.704

</p><p><a name="[18]" href="#cite_18">[18]</a> Vgl. auch Philipp Mirowski, When Games Grow
Deadly Serious: The Military Influence on the Evolution of Game Theory.
In: Journal of Political Economy, 23 (1991), S. 227-55.

</p><p><a name="[19]" href="#cite_19">[19]</a> Vgl. Benoit Mandelbrot, Simple Games Of Strategy
Occuring In Communication Through Natural Languages. In: Institue of Radio
Engineers / Professional Group on Information Theory: Transactions. Bd.
3 (1954), S.124-135

</p><p><a name="[20]" href="#cite_20">[20]</a> Vgl. Andrew Hodges, The Engima. Berlin 1989,
S.147

</p><p><a name="[21]" href="#cite_21">[21]</a> Vgl. John K. F. Lee und Alan Jay Smith, Branch
Prediction Strategies and Branch Target Buffer Design. In: Computer 17:1
(1984), S.6-22

<br><br></p></td>
</tr>
</tbody></table>

<table border="0" cellpadding="3" cellspacing="0" width="100%">
	<tbody><tr>
		<td class="navi"><a class="navi" href="/exp/index.html">Home</a> &#8226; <a class="navi" href="/exp/hilgers/index.html">von Hilgers</a> &#8226; Eine Maschine, die Gedanken liest. A 8 Bit History.</td>
	
	</tr>
</tbody></table>
<div class="copyright" align="center">Stand: 31.07.2006</div>

</body></html>